summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-06-21 20:50:55 +0200
committerMichał Górny <mgorny@gentoo.org>2020-06-21 21:23:35 +0200
commitb0a87dea1814ca09980b1d953bd8f3022e04a992 (patch)
treeb0ce2b1a63ef7bf7399b7dec8eac927fb37aef70
parentdev-python/cherrypy: Port to py3.9 (diff)
downloadgentoo-b0a87dea1814ca09980b1d953bd8f3022e04a992.tar.gz
gentoo-b0a87dea1814ca09980b1d953bd8f3022e04a992.tar.bz2
gentoo-b0a87dea1814ca09980b1d953bd8f3022e04a992.zip
dev-python/cherrypy: Bump to 18.6.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--dev-python/cherrypy/Manifest1
-rw-r--r--dev-python/cherrypy/cherrypy-18.6.0.ebuild62
2 files changed, 63 insertions, 0 deletions
diff --git a/dev-python/cherrypy/Manifest b/dev-python/cherrypy/Manifest
index ef645340dc5..248c519c6db 100644
--- a/dev-python/cherrypy/Manifest
+++ b/dev-python/cherrypy/Manifest
@@ -1,4 +1,5 @@
DIST CherryPy-13.1.0.tar.gz 687221 BLAKE2B ab9c8f50026e26d171877e4e68f1c5a53fa8519190bcc577e12999cdf8a7f52be37f4ba9ed83a276a9f33676839ec63bff68aa8f9f51ddf15557e09123bf2530 SHA512 c32cf009d6a5b557560a00cde0f47a01ae481c7f60b7f340e5c99bf2d7c757e7c7cbf3ef2f4f71c172057aa09ca332f2d211cc97623ea29ba9f17287c7bc42dd
DIST CherryPy-18.1.0.tar.gz 682792 BLAKE2B 0e072bf21656778ff8d64e87a6b19c8c5e9a3057312ebd3155b3b876432709f6f205f267cd9a105727153d458daab3e7113ffe9b3c49f911bd956bf72a19086c SHA512 58ae40ef62efeda051bf5dd35768a599094792d06a0e7c6e34c21cc5b003b700f43a02460d38a00067d255939e341fc438d248e3499fad76ccc8100f8eac94d3
DIST CherryPy-18.5.0.tar.gz 685362 BLAKE2B 36178ff6e374a89aa4fba9ba34947f1558a7bb3676f014528bb081efa9608ed70648bf2c46b8c4f95b8b14586a93c513ce342955677564f9202733104ba07102 SHA512 6ead115ac2a067cc9f2cb83117b8c53aac8a2a1580159993b7687b5810a41b64d1d1c603ef75a12660fe7aee9c6f403c8cb7bd5e78564f71dc813ae7f28b65fe
+DIST CherryPy-18.6.0.tar.gz 686804 BLAKE2B dae7f0ac403084acdf611e4a9e75f152355491e4383a1bd1374ae77ac68b415f41ce79f1e65a7a66c61aa0965ac94cd9bfd0d425cf7752ab54edf0bc0d8cabfb SHA512 cd33303fa9b9704ef427553091a6a6c2bbfea20e7d81acd2bcdc2855f8a36a084a0781bb19f3a084b24f0664bd7b318a667c8c79b5073381901acce4602de9d7
DIST CherryPy-3.8.0.tar.gz 433711 BLAKE2B e1b4a554138a61e8c6313c3055723583d812e573a352d67bd5448f799e4f2f22694b800810b53cd041c665e46d9555b471d1da91c252ade96459778d7a5c07fa SHA512 25f84093e30d814c0980f7d77b98492113470c3297c66ee8652e40650757f8e2b7db01bb8de6d7a1ea9b4bed8b764502b1f563ac6f0d082970bc2d46739d19c2
diff --git a/dev-python/cherrypy/cherrypy-18.6.0.ebuild b/dev-python/cherrypy/cherrypy-18.6.0.ebuild
new file mode 100644
index 00000000000..23a645ff0d5
--- /dev/null
+++ b/dev-python/cherrypy/cherrypy-18.6.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+MY_P="CherryPy-${PV}"
+
+DESCRIPTION="CherryPy is a pythonic, object-oriented HTTP framework"
+HOMEPAGE="https://www.cherrypy.org https://pypi.org/project/CherryPy/"
+SRC_URI="mirror://pypi/C/CherryPy/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86"
+IUSE="ssl test"
+
+RDEPEND=">=dev-python/cheroot-8.2.1[${PYTHON_USEDEP}]
+ >=dev-python/portend-2.1.1[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ dev-python/zc-lockfile[${PYTHON_USEDEP}]
+ dev-python/jaraco-collections[${PYTHON_USEDEP}]
+ ssl? ( dev-python/pyopenssl[${PYTHON_USEDEP}] )"
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/routes[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ dev-python/objgraph[${PYTHON_USEDEP}]
+ dev-python/path-py[${PYTHON_USEDEP}]
+ dev-python/requests-toolbelt[${PYTHON_USEDEP}]
+ dev-python/pytest-services[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # UnicodeEncodeError: 'ascii' codec can't encode character u'\u2603' in position 0: ordinal not in range(128)
+ sed -e 's|@pytest.mark.xfail(py27_on_windows|@pytest.mark.xfail(sys.version_info < (3,)|' \
+ -i cherrypy/test/test_static.py || die
+
+ # fragile, fails with newer versions of CPython
+ sed -e 's:testCombinedTools:_&:' \
+ -i cherrypy/test/test_tools.py || die
+
+ sed -r -e '/(pytest-sugar|pytest-cov)/ d' \
+ -i setup.py || die
+
+ sed -r -e 's:--cov-report[[:space:]]+[[:graph:]]+::g' \
+ -e 's:--cov[[:graph:]]+::g' \
+ -e 's:--doctest[[:graph:]]+::g' \
+ -i pytest.ini || die
+
+ distutils-r1_python_prepare_all
+}